uk.gov.hmrc.secure

# SymmetricEncrypter

###
Related Doc: package secure

#### class SymmetricEncrypter extends Encrypter

Linear Supertypes
Encrypter, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SymmetricEncrypter
2. Encrypter
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SymmetricEncrypter(key: SecretKey)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def encrypt(data: Array[Byte], algorithm: String): String

   Definition Classes
     Encrypter

7. #### def encrypt(data: String, algorithm: String): String

   Definition Classes
     Encrypter

8. #### def encrypt(data: String): String

   Definition Classes
     Encrypter

9. #### def encrypt(data: Array[Byte]): String

   Definition Classes
     Encrypter

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val key: SecretKey

    Attributes
      protected
    Definition Classes
      SymmetricEncrypter → Encrypter

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### def validateKey(): Unit

    Attributes
      protected
    Definition Classes
      Encrypter

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Encrypter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped